Error
A valid request URL is required to generate request examples{
"messages": [
{
"role": "user",
"tool_call_id": "<string>",
"content": "<string>",
"name": "<string>",
"tool_calls": []
}
],
"tools": [
{
"name": "<string>",
"type": "function",
"description": "<string>",
"function": {
"name": null,
"description": null,
"parameters": {}
},
"integration": {
"provider": "dummy",
"method": "<string>",
"setup": null,
"arguments": null
},
"system": {
"resource": "agent",
"operation": "create",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subresource": "tool",
"arguments": {}
},
"api_call": {
"method": "GET",
"url": "<string>",
"schema": {},
"headers": {},
"secrets": {},
"content": "<string>",
"data": {},
"files": {},
"json": {},
"cookies": {},
"params": "<string>",
"params_schema": {
"properties": {},
"type": "object",
"required": [],
"additionalProperties": true
},
"follow_redirects": true,
"timeout": 123,
"include_response_content": true
},
"computer_20241022": {
"type": "computer_20241022",
"name": "computer",
"display_width_px": 1024,
"display_height_px": 768,
"display_number": 1
},
"text_editor_20241022": {
"type": "text_editor_20241022",
"name": "str_replace_editor"
},
"bash_20241022": {
"type": "bash_20241022",
"name": "bash"
}
}
],
"tool_choice": "auto",
"docs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sessions
Render
Renders a chat input.
Routes to different implementations based on feature flags:
- If auto_run_tools_chat feature flag is enabled, uses the new auto-tools implementation
- Otherwise, uses the legacy implementation
Parameters: developer (Developer): The developer associated with the chat session. session_id (UUID): The unique identifier of the chat session. chat_input (ChatInput): The chat input data.
Returns: RenderResponse: The rendered chat input.
POST
/
sessions
/
{session_id}
/
render
Error
A valid request URL is required to generate request examples{
"messages": [
{
"role": "user",
"tool_call_id": "<string>",
"content": "<string>",
"name": "<string>",
"tool_calls": []
}
],
"tools": [
{
"name": "<string>",
"type": "function",
"description": "<string>",
"function": {
"name": null,
"description": null,
"parameters": {}
},
"integration": {
"provider": "dummy",
"method": "<string>",
"setup": null,
"arguments": null
},
"system": {
"resource": "agent",
"operation": "create",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subresource": "tool",
"arguments": {}
},
"api_call": {
"method": "GET",
"url": "<string>",
"schema": {},
"headers": {},
"secrets": {},
"content": "<string>",
"data": {},
"files": {},
"json": {},
"cookies": {},
"params": "<string>",
"params_schema": {
"properties": {},
"type": "object",
"required": [],
"additionalProperties": true
},
"follow_redirects": true,
"timeout": 123,
"include_response_content": true
},
"computer_20241022": {
"type": "computer_20241022",
"name": "computer",
"display_width_px": 1024,
"display_height_px": 768,
"display_number": 1
},
"text_editor_20241022": {
"type": "text_editor_20241022",
"name": "str_replace_editor"
},
"bash_20241022": {
"type": "bash_20241022",
"name": "bash"
}
}
],
"tool_choice": "auto",
"docs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
auto, none Maximum string length:
120Pattern:
^[\p{L}\p{Nl}\p{Pattern_Syntax}\p{Pattern_White_Space}]+[\p{ID_Start}\p{Mn}\p{Mc}\p{Nd}\p{Pc}\p{Pattern_Syntax}\p{Pattern_White_Space}]*$Maximum array length:
4Required range:
-1 <= x <= 1000Required range:
x >= 1Show child attributes
Show child attributes
- SimpleCompletionResponseFormat
- SchemaCompletionResponseFormat
Show child attributes
Show child attributes
Required range:
0 <= x <= 2Required range:
0 <= x <= 2Required range:
0 <= x <= 1Required range:
-2 <= x <= 2Required range:
-2 <= x <= 2Required range:
0 <= x <= 5Required range:
0 <= x <= 1Response
Successful Response
⌘I